@media (max-width: 395px) {
    .hero-course-title-group h1.wp-block-heading {
        font-size: 12vw;
    }

    .card-course .price {
        font-size: 15vw;
    }

    .companies .company-intro {
        padding-bottom: 0;
    }

    .homepage .icelandic-hero-title .has-primary-color {
        display: block;
    }

}

@media (max-width: 575.98px) {
    .company-title h3.wp-block-heading {
        font-size: 40px;
        line-height: 48px;
    }
    .wp-block-buttons {
        justify-content: center;
      }
    .company-intro h2.wp-block-heading {
        font-size: 30px;
        line-height: 100%;
    }

    .course-filter h3 .text {
        display: block;
        width: 100%;
    }

    .course-filter .input {
        margin-left: 0;
    }

    .course-form .wp-block-heading {
        margin-top: 0;
        margin-bottom: 0;
    }

    .course-form .wp-block-cover {
        padding-left: 20px;
        padding-right: 20px;
    }

    h1.wp-block-heading {
        display: block;
        text-align: center;
        width: 100%;
    }

    .icelandic-quote .wp-block-cover {
        padding: 30px 20px;
    }

    .icelandic-quote .wp-block-cover__background {
        background-position: top 3vh left 3vh;
    }

    .page-title .wp-block-post-title,
    h1.wp-block-heading,
    h1.wp-block-post-title {
        font-weight: 300;
    }



    .carousel .carousel-description-text {
        padding-right: 20px;
    }
    
    .contact-us:before,
    .index:before {
        top: 0;
        width: 100%;
        height: 159px;
        background: url('../images/bg-mountain-mobile.png') no-repeat center center;
        background-size: 393px 159px;
    }

    .homepage:before {
        width: 100%;
        height: 197px;
        top:0;
        background: url('../images/bg-home-mobile.png') no-repeat center center;
        background-size: 393px 197px;
    }

    .course:before {
        top: 0;
        width: 100%;
        height: 142px;
        background: url('../images/bg-course-mobile.png') no-repeat center center;
        background-size: 393px 142px;
    }

    .about-us:before,
    .about:before {
        top: 0;
        width: 100%;
        height: 190px;
        background: url('../images/bg-about-mobile.png') no-repeat center center;
        background-size: 100% auto;
    }

    .companies:before {
        top: 0;
        width: 100%;
        height: 436px;
        background: url('../images/bg-companies-mobile.png') no-repeat center center;
        background-size: 100% auto;
    }

    .buy-a-subscription:before {
        top: 0;
        width: 100%;
        height: 132px;
        background: url('../images/bg-subscription-mobile.png') no-repeat center center;
        background-size: 100% auto;
    }

    .courses:before {
        top:0;
        width: 100%;
        height: 244px;
        background: url('../images/bg-courses-mobile.png') no-repeat center center;
        background-size: 100% auto;
    }

}

@media (min-width: 576px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl {
        max-width: 100%;
    }
}

@media (min-width: 768px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl {
        max-width: 100%;
    }
}

@media (min-width: 992px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl {
        max-width: 100%;
    }
}

@media (min-width: 1400px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 1245px;
    }

}

@media (max-width: 1199px) {
    .sticky {
        position: fixed;
        top: 0;
        z-index: 100;
        width: 100%;
        background: #fff;
    }

    #navbarPrimaryMenu {
        z-index: 100;
        background: #fff;
        margin-left: -20px;
        margin-right: -20px;
    }

    #menu-primary-menu {
        padding-left: 20px;
        padding-right: 20px;
        height: calc(100vh - 100px);
    }

    #menu-primary-menu .menu-item {
        margin-top: 20px;
        padding: 10px;
        border-bottom: 1px solid #BEC2CE;
    }

    .sticky #menu-primary-menu {
        height: calc(100vh - 60px);
    }

    .card-list .course-item:nth-child(3n),
    .card-list .course-item:nth-child(3n + 1),
    .card-list .course-item:nth-child(3n + 2) {
        padding-right: 20px;
        padding-left: 20px;
    }

    #menu-primary-menu {
        display: block;
    }

    #menu-primary-menu .menu-item:nth-last-child(2),
    #menu-primary-menu .menu-item:last-child {
        display: inline-block;
        min-width: 45%;
    }

}

@media (min-width: 1200px) {

    body,
    .accordion-button,
    .accordion-item,
    .form-control,
    .btn-secondary,
    .btn-primary,
    select.icelandic-select {
        font-size: 16px;
    }

    select.icelandic-select {
        min-width: 158px;
    }

    .container.header {
        height: 99px;
    }

    .wp-block-group {
        margin: 0 auto;
        padding-left: 0;
        padding-right: 0;
    }

    .company-intro .wp-block-columns,
    .intro-left .wp-block-columns,
    .intro-right .wp-block-columns,
    .subscription-intro .wp-block-columns {
        align-items: center !important;
    }

    .company-intro .wp-block-buttons {
        text-align: left;
    }

    .icelandic-hero-title,
    .icelandic-courses-title {
        padding-top: 60px;
    }

    .icelandic-hero-title,
    h2.icelandic-tags {
        max-width: 879px;
    }

    .wp-block-cover,
    .wp-block-group {
        max-width: 1245px;
    }

    .subscription-intro.wp-block-group {
        max-width: 100%;
        border-bottom: 1px solid #20B766;
    }

    .subscription-intro.wp-block-group .wp-block-columns {
        max-width: 1245px;
        margin: 0 auto;
    }

    .wp-block-cover {
        margin: 0 auto;
        border-radius: 20px;
    }

    .wp-block-cover,
    .wp-block-cover-image {
        min-height: auto;
    }

    .wp-block-buttons {
        justify-content: flex-start;
    }

    .index-title {
        padding-top: 60px;
    }

    .page-title,
    .intro-left,
    .intro-right,
    .company-title,
    .page-title-h3,
    .course-about,
    .hero-subscription,
    .company-intro,
    .hero-course {
        padding-top: 60px;
        padding-bottom: 60px;
    }

    .custom-logo {
        width: 232px;
        height: 36px;
    }

    .page-title-h3 .wp-block-heading {
        margin-top: 30px;
    }

    .contact-us .page-title-h3 {
        padding-bottom: 120px;
    }

    .contact-us {
        padding-bottom: 60px;
    }

    .contact-us .wp-block-cover h2.wp-block-heading {
        font-size: 50px;
        margin-bottom: 17px;
    }

    .course-about p {
        margin-top: 30px;
    }

    #menu-primary-menu .menu-item:nth-last-child(3) {
        margin-right: 58px;
    }

    .subscription-form .wp-block-cover,
    .course-form .wp-block-cover {
        padding: 120px 0;
    }

    .course-form .price {
        margin-top: 20px;
        color: #20B766;
        font-size: 70px;
        font-weight: 700;
        line-height: 85px;
    }


    .subscription-form .wp-block-heading {
        margin-top: 20px;
    }

    .hero-course .wp-block-heading {
        margin-top: 30px;
    }

    .hero-course .wp-block-embed {
        margin-top: 60px;
    }

    .contact-us:before,
    .index:before {
        width: 100%;
        height: 293px;
        background-size: 1920px 293px;
        z-index: -1;
    }

    .course:before {
        top: 265px;
        width: 100%;
        height: 449px;
        background: url('../images/bg-course.png') no-repeat center center;
        background-size: 1920px 449px;
    }

    .homepage:before {
        top: 350px;
        width: 100%;
        height: 449px;
        background: url('../images/bg-homepage.png') no-repeat center center;
        background-size: 1920px 449px;
    }


    .about-us:before,
    .about:before {
        height: 378px;
        background: url('../images/bg-about-us.png') no-repeat center center;
        background-size: 1920px 378px;
    }

    .courses:before {
        top: 405px;
        width: 100%;
        height: 449px;
        background: url('../images/bg-courses.png') no-repeat center center;
        background-size: 1920px 449px;
    }

    .buy-a-subscription:before {
        width: 100%;
        height: 356px;
        background: url('../images/bg-subscription.png') no-repeat center center;
        background-size: 1920px 356px;
        z-index: -1;
    }

    .companies:before {
        width: 100%;
        height: 466px;
        background: url('../images/bg-companies.png') no-repeat center center;
        background-size: 1920px 466px;
    }

    .find-your-level-title {
        margin-top: 30px;
    }

    .courses-hero {
        padding-bottom: 60px;
    }

    #menu-primary-menu .menu-item:nth-last-child(2),
    #menu-primary-menu .menu-item:last-child {
        margin-top: 0;
    }

    #navbarPrimaryMenu {
        display: flex;
        justify-content: flex-end;
    }

    #menu-primary-menu .menu-item {
        margin-right: 18px;
    }

    #menu-primary-menu .menu-item {
        margin-right: 0;
    }

    #menu-primary-menu .menu-item a {
        font-weight: 400;
        padding: 20px 30px;
    }

    #menu-primary-menu .menu-item:last-child {
        margin-left: 18px;
        padding-bottom: 0;
    }


    .icelandic-home-courses-cover {
        min-height: 425px;
    }

    .icelandic-home-cta .wp-block-cover {
        min-height: 400px;
    }


    .carousel .custom-carousel-wrapper .swiper-slide {
        width: 60%;
    }

    .testimonial .custom-carousel-wrapper .swiper-slide {
        width: 37%;
        background: #ffffff;
        padding: 30px;
        border-radius: 25px;
        margin-top: 120px;
        margin-bottom: 120px;
    }

    .wp-block-cover:has(.form-show-money) {
        margin: 60px auto;
        padding: 60px 0;
    }

    h1.wp-block-heading,
    h1.wp-block-post-title {
        font-size: 75px;
        line-height: 85px;
        font-weight: 300;
    }

    h1.wp-block-heading {
        font-weight: 300;
    }

    h2.wp-block-heading {
        font-size: 60px;
        line-height: 70px;
    }

    h3.wp-block-heading {
        font-size: 40px;
        line-height: 100%;
    }

    h4.wp-block-heading {
        font-size: 28px;
        line-height: 38px;
    }

    .form-select-link {
        margin-top: 50px;
        flex-direction: row;
    }

    .wp-block-cover.icelandic-hero-cover {
        margin-top: 112px;
    }

    .icelandic-tags {
        margin-top: 60px;
    }

    .page-title .wp-block-post-title {
        font-size: 75px;
        line-height: 85px;
        font-weight: 300;
        margin-bottom: 30px;
    }

    .wp-block-group.page-title {
        max-width: 1014px;
        font-weight: 300;
        font-size: 28px;
        line-height: 38px;
    }
    .page-title p
    {
      font-size: 28px;
      line-height: 38px;
    }
    .wp-block-group.page-title h4 {
        font-size: 28px;
        line-height: 38px;
        font-weight: 700;
    }

    .about .intro-left,
    .about-us .intro-left {
        margin-top: 40px;
    }

    .intro-left .wp-block-column p,
    .intro-right .wp-block-column p {
        margin-bottom: 20px;
    }
    
    .intro-right .wp-block-columns .wp-block-column:first-child {
        order: 0;
    }


    .row-find-your-level .description {
        font-size: 25px;
        margin-top: 15px;
        font-weight: 300;
    }

    .row-fqa {
        padding-top: 60px;
        margin-bottom: 120px;
    }

    .course-filter .input {
        text-align: left;
    }

    .course-filter .select-level {
        margin-right: 35px;
    }

    .course-filter .select-language {
        margin-left: 35px;
    }

    .card-list .course-item:nth-child(3n + 1) {
        padding-right: 15px;
        padding-left: 0;
    }

    .card-list .course-item:nth-child(3n + 2) {
        padding-left: 7.5px;
        padding-right: 7.5px;
    }

    .card-list .course-item:nth-child(3n) {
        padding-right: 0;
        padding-left: 15px;
    }


    .row-find-your-level .form-input {
        margin-top: 60px;
    }


    .tag {
        font-size: 28px;
        border-radius: 50px;
        padding: 14px 20px;
        margin: 13px 13px;
    }

    .courses .course-filter {
        margin-top: 90px;
    }

    .card-list .course-item .card-course {
        width: 369px;
    }

    .card-list .course-item .card-course:before {
        width: calc(100% + 30px);
    }

    .row-find-your-level .block-form-input {
        margin-top: 60px;
    }

    .wp-block-embed iframe, .wp-block-video {
        border-radius: 30px;
        width: 100%;
        max-width: 824px;
        height: auto;
        aspect-ratio: 16 / 9;
    }
    video {
        border-radius: 30px;
        width: 100%;
        max-width: 100%;
        height: auto;
        aspect-ratio: 16 / 9;
        object-fit: cover;
    }
    .video-custom-play {
        background-size: 183px;
    }
    .carousel {
        margin-top: 60px;
        margin-bottom: 60px;
    }

    .homepage .wp-block-group.home-course {
        margin: 0 auto;
    }

    .icelandic-home-cta {
        margin-top: 0;
        margin-bottom: 0;
    }


    .wp-block-custom-carousel {
        margin-top: 60px;
    }

    .courses .course-filter {
        margin-top: 90px;
    }

    .icelandic-quote {
        padding: 60px 0;
    }

    .icelandic-quote .wp-block-cover__inner-container {
        max-width: 848px;
    }

    .icelandic-quote .wp-block-cover__background {
        background-position: top 37px left 36px;
        background-size: 235px;
    }

    .icelandic-quote .wp-block-cover {
        padding: 60px 0;
    }



    .wp-block-group.team {
        max-width: 880px;
        padding: 60px 0 120px;
    }

    .icelandic-quote .wp-block-cover__inner-container h4 {
        margin-top: 50px;
    }

    .course-filter h3 {
        font-size: 40px;
    }

    .card-course .card-title {
        font-size: 35px;

    }

    #qa {
        margin-top: 60px;
    }

    footer {
        padding: 120px 0 60px;
    }

    footer .sign-up-form {
        text-align: center;
    }

    .courses .wpcf7-form .form-control,
    .courses .wpcf7-form .btn,
    .courses .form-control,
    .courses .btn {
        margin-top: 25px;
    }

    footer .wpcf7-form .form-control,
    footer .wpcf7-form .btn {
        margin-top: 0;
    }

    .subscription-intro {
        padding: 60px 0;
    }

    .subscription-intro .wp-block-heading {
        margin-bottom: 30px;
    }

    .block-form-input .wp-block-cover {
        padding: 60px 0;
    }


    #sticky_banner {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        padding: 10px 40px 10px;
    }

    #sticky_banner .wp-block-heading {
        margin-right: 15px;
    }

    body:has(main.course) footer {
        padding-bottom: 130px;
    }

}